{
    "type": "minecraft:crafting_shaped",
    "category": "misc",
    "pattern": [
        "#C#",
        "###",
        "#C#"
    ],
    "key": {
        "#": {
            "item": "keeblarcraft:example_block"
        },
        "C": {
            "item": "minecraft:coal"
        }
    },
    "result": {
        "item": "keeblarcraft:example_block",
        "count": 8
    }
}